httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Lawrence Stefani" <LStef...@fortresstech.com>
Subject [users@httpd] Cross-compiling Apache 2.2.3 and PHP 5.1.6
Date Fri, 06 Oct 2006 12:55:32 GMT
Hello,
Has anyone successfully cross-compiled Apache 2.2.3 and PHP 5.1.6 for
any platform?
The Apache eXtenSion tool (apxs) as a PERL script is platform
independent, but it relies on executing httpd, which having been
cross-compiled, can't be executed natively.
The problem first appears when configuring PHP.  When you pass the
--with-apxs2= option on the ./configure line, it runs apxs, which fails
to execute httpd.  Since apxs is built dynamically and most build
information is found in the ./build directory, why does it need to
execute httpd?
How can apxs become truly platform independent, so it can run
successfully in a cross-compiled environment?
I've also entered this in Bugzilla
(http://issues.apache.org/bugzilla/show_bug.cgi?id=40653) for tracking
purposes.
Thanks,
Larry Stefani 
lstefani@fortresstech.com 


Mime
View raw message